/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.fixedlength.resourcebundle;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoFixedLength]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoFixedLengthResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoFixedLengthResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLength]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoFixedLengthResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLength");
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLength]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoFixedLengthResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLength", locale);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、ロケール[" + locale.toString() + "]、呼び出し側のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * BlancoFixedLengthResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoFixedLength]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoFixedLengthResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoFixedLength", locale, loader);
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、ロケール[" + locale.toString() + "]、指定のクラスローダを使用して、リソースバンドルの取得を試みましたが失敗しました。定義書の設定値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
    }

    /**
     * bundle[BlancoFixedLength], key[METAFILE_DISPLAYNAME]
     *
     * [ファイル定義書(固定長)] (ja)<br>
     *
     * @return key[METAFILE_DISPLAYNAME]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMetafileDisplayname() {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義書(固定長)";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("METAFILE_DISPLAYNAME");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[METAFILE_DISPLAYNAME]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLength], key[META2XML.ELEMENT_COMMON]
     *
     * [blancofixedlength-common] (ja)<br>
     *
     * @return key[META2XML.ELEMENT_COMMON]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMeta2xmlElementCommon() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancofixedlength-common";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("META2XML.ELEMENT_COMMON");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[META2XML.ELEMENT_COMMON]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLength], key[META2XML.ELEMENT_LIST]
     *
     * [blancofixedlength-fieldList] (ja)<br>
     *
     * @return key[META2XML.ELEMENT_LIST]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMeta2xmlElementList() {
        // 初期値として定義書の値を利用します。
        String strFormat = "blancofixedlength-fieldList";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("META2XML.ELEMENT_LIST");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[META2XML.ELEMENT_LIST]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR001]
     *
     * [{0}の処理中において不正な終端を検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において不正な終端を検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR001");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR001]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR002]
     *
     * [{0}の処理中において長さ({1})よりも短い値[&quot; + tokenString + &quot;]を検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr002(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において長さ({1})よりも短い値[\" + tokenString + \"]を検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR002");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR002]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR003]
     *
     * [{0}の処理中において長さ({1})よりも長い値[&quot; + tokenString + &quot;]を検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR003]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr003(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において長さ({1})よりも長い値[\" + tokenString + \"]を検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR003");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR003]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR004]
     *
     * [{0}の処理中において数値(int)としては解析できない文字[&quot; + tokenString + &quot;]を検知しました。:] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr004(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において数値(int)としては解析できない文字[\" + tokenString + \"]を検知しました。:";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR004");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR004]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR005]
     *
     * [{0}の処理中において数値(long)としては解析できない文字[&quot; + tokenString + &quot;]を検知しました。:] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr005(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において数値(long)としては解析できない文字[\" + tokenString + \"]を検知しました。:";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR005");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR005]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR006]
     *
     * [{0}の処理中において与えられた形式[&quot; + fSimpleDateFormat{1}.toPattern() + &quot;]では解析できない文字列[&quot; + tokenString + &quot;]を検知しました。:] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr006(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において与えられた形式[\" + fSimpleDateFormat{1}.toPattern() + \"]では解析できない文字列[\" + tokenString + \"]を検知しました。:";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR006");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR006]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR007]
     *
     * [{0}の処理中において数値(decimal)としては解析できない文字[&quot; + tokenString + &quot;]を検知しました。:] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_READER.ERR007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr007(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において数値(decimal)としては解析できない文字[\" + tokenString + \"]を検知しました。:";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR007");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR007]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_READER.ERR009]
     *
     * [全ての列の固定長データを超えるデータが行に存在することを検知しました。] (ja)<br>
     *
     * @return key[CSV_READER.ERR009]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvReaderErr009() {
        // 初期値として定義書の値を利用します。
        String strFormat = "全ての列の固定長データを超えるデータが行に存在することを検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_READER.ERR009");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_READER.ERR009]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_WRITER.ERR001]
     *
     * [{0}の処理中において長さ({1})よりも短い値[&quot; + writeToken + &quot;]を検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_WRITER.ERR001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvWriterErr001(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において長さ({1})よりも短い値[\" + writeToken + \"]を検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_WRITER.ERR001");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_WRITER.ERR001]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_WRITER.ERR002]
     *
     * [{0}の処理中において長さ({1})よりも長い値[&quot; + writeToken + &quot;]を検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_WRITER.ERR002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvWriterErr002(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において長さ({1})よりも長い値[\" + writeToken + \"]を検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_WRITER.ERR002");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_WRITER.ERR002]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[CSV_WRITER.ERR011]
     *
     * [{0}の処理中において項目にnullが与えられていることを検知しました。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[CSV_WRITER.ERR011]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getCsvWriterErr011(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "{0}の処理中において項目にnullが与えられていることを検知しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CSV_WRITER.ERR011");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[CSV_WRITER.ERR011]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR001]
     *
     * [ファイル定義書(固定長) ファイル定義ID[{0}]のパッケージ名が指定されていません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義書(固定長) ファイル定義ID[{0}]のパッケージ名が指定されていません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR001");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR001]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR004]
     *
     * [ファイル定義ID[{0}] 項目[{1}]の「型」が指定されていません。「型」を指定してください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR004]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr004(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義ID[{0}] 項目[{1}]の「型」が指定されていません。「型」を指定してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR004");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR004]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR005]
     *
     * [ファイル定義ID[{0}] 項目[{1}]は「日時型」ですが、「書式」が指定されていません。「日時型」の場合は「書式」を指定してください。
例: [yyyy/MM/dd HH:mm:ss]のように指定します。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR005]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr005(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義ID[{0}] 項目[{1}]は「日時型」ですが、「書式」が指定されていません。「日時型」の場合は「書式」を指定してください。\n例: [yyyy/MM/dd HH:mm:ss]のように指定します。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR005");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR005]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR006]
     *
     * [ファイル定義ID[{0}] 項目[{1}]は「日時型」ではありませんが、「書式」が指定されています。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR006]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr006(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義ID[{0}] 項目[{1}]は「日時型」ではありませんが、「書式」が指定されています。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR006");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR006]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR007]
     *
     * [ファイル定義ID[{0}] 項目[{1}]の「長さ」に負の値[{2}]が与えられました。0以上の整数値を設定してください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR007]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr007(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義ID[{0}] 項目[{1}]の「長さ」に負の値[{2}]が与えられました。0以上の整数値を設定してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR007");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR007]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[XML2JAVACLASS.ERR008]
     *
     * [ファイル定義ID[{0}] 項目[{1}]の「長さ」に整数として処理されない値[{2}]が与えられました。0以上の整数を設定してください。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[XML2JAVACLASS.ERR008]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getXml2javaclassErr008(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "ファイル定義ID[{0}] 項目[{1}]の「長さ」に整数として処理されない値[{2}]が与えられました。0以上の整数を設定してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("XML2JAVACLASS.ERR008");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[XML2JAVACLASS.ERR008]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[FIELD_NO]
     *
     * [項目番号[{0}]] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[FIELD_NO]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getFieldNo(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "項目番号[{0}]";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("FIELD_NO");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[FIELD_NO]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[NOT_SUPPORTED_TYPE]
     *
     * [// TODO: 警告: サポートしない型[{0}]が与えられました。処理をスキップします。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[NOT_SUPPORTED_TYPE]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getNotSupportedType(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "// TODO: 警告: サポートしない型[{0}]が与えられました。処理をスキップします。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("NOT_SUPPORTED_TYPE");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[NOT_SUPPORTED_TYPE]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoFixedLength], key[ANTTASK.ERR001]
     *
     * [メタディレクトリ[{0}]が存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[ANTTASK.ERR001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getAnttaskErr001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "メタディレクトリ[{0}]が存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("ANTTASK.ERR001");
            }
        } catch (MissingResourceException ex) {
            final String message = "基底名[BlancoFixedLength]、キー[ANTTASK.ERR001]の定義が取得できませんでした。定義書の値を利用して処理続行します。:" + ex.toString();
            System.out.println(message);
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }
}
